Create workspace invariant proposal
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
definition*false_positive_fixtures*array<>Items
1 <= items <= 10rationale*RationaleLength
20 <= length <= 4000source?SourceDefault
"agent"Value in
"agent""human"target_precision?|Default
"0.95"true_positive_fixtures*array<>Items
1 <= items <= 10Successful Response
application/json- response
created_at*Created AtFormat
date-timedefinition*definition_hash*Definition Hashfixture_result*id*IdFormat
uuidobserved_precision*string|nullpromoted_at*|nullproposed_by*Proposed ByFormat
uuidrationale*Rationalereview_notes*string|nullreviewed_at*|nullreviewed_by*|nullreviewed_sample_size*Reviewed Sample Sizesource*Sourcestate*Statetarget_precision*Target Precisionupdated_at*Updated AtFormat
date-timeworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/structural/invariant-proposals' \ -H 'Content-Type: application/json' \ -d '{ "definition": { "base_severity": "critical", "fixtures": { "false_positive": [ "string" ], "true_positive": [ "string" ] }, "id": "string", "layer": "code", "pattern_class": "string", "predicate": { "kind": "node_attributes", "node_kind": "string", "reason": "string" }, "remediation": { "target_state": "string", "tier": "R1", "verification": "string" }, "requires_evidence": [ "code" ], "statement": "string", "title": "string", "version": "string", "vrm_id": "string" }, "false_positive_fixtures": [ { "description": "string", "edges": [ { "confidence": 0, "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "evidence_sources": [ { "confidence": 0, "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "ledger": "code", "source_key": "string" } ], "relationship": "string", "source": "string", "target": "string" } ], "expected": [ "string" ], "nodes": [ { "key": "string", "kind": "string" } ], "observed_ledgers": [ "code" ] } ], "rationale": "stringstringstringst", "true_positive_fixtures": [ { "description": "string", "edges": [ { "confidence": 0, "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "evidence_sources": [ { "confidence": 0, "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "ledger": "code", "source_key": "string" } ], "relationship": "string", "source": "string", "target": "string" } ], "expected": [ "string" ], "nodes": [ { "key": "string", "kind": "string" } ], "observed_ledgers": [ "code" ] } ]}'Example Response
{ "created_at": "2019-08-24T14:15:22Z", "definition": {}, "definition_hash": "string", "fixture_result": {}, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "observed_precision": "string", "promoted_at": "2019-08-24T14:15:22Z", "proposed_by": "4950251e-cd25-4a79-b482-8e67fe2adc20", "rationale": "string", "review_notes": "string", "reviewed_at": "2019-08-24T14:15:22Z", "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be", "reviewed_sample_size": 0, "source": "string", "state": "string", "target_precision": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}